Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007964TestLinkAssign Test Case Executionpublic2017-06-05 08:522017-07-20 19:28
Reportershavantha 
Assigned Tofman 
PrioritynormalSeveritycrashReproducibilitysometimes
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.9.16 (2016 Q4) 
Fixed in Version1.9.17 (2017 Q2) 
Summary0007964: issue in the way error handling is performed under "Assign Test case execution"
Descriptionissue in the way error handling is performed under "Assign Test case execution". On some occasions the below exception is thrown

Fatal error: Uncaught exception 'phpmailerException' with message 'Invalid address: (punyEncode) [from_email_not_configured]' in /var/www/html/testlink/third_party/phpmailer/class.phpmailer.php:1256 Stack trace: #0 /var/www/html/testlink/third_party/phpmailer/class.phpmailer.php(1210): PHPMailer->preSend() #1 /var/www/html/testlink/lib/functions/email_api.php(162): PHPMailer->send() 0000002 /var/www/html/testlink/lib/plan/tc_exec_assignment.php(569): email_send('[from_email_not...', 'shavantha@wso2....', 'Test Link - Tes...', 'Test Project: W...', '', true, true) 0000003 /var/www/html/testlink/lib/plan/tc_exec_assignment.php(95): send_mail_to_testers(Object(database), Object(testcase), Object(stdClass), Object(stdClass), Array, 'ins') 0000004 {main} thrown in /var/www/html/testlink/third_party/phpmailer/class.phpmailer.php on line 1256
Steps To Reproduce1.Click on "Assign Testers to test execution"
2.Search and select for a test case
3.Enter a name under "assign to"
4.Click on "send mail notification checkbox"
5.Keep the filed "Bulk user assignment" empty
6.Click on "save" button
Additional InformationIs their a fix for this scenario
TagsNo tags attached.
Database (MySQL,Postgres,etc)Ver 14.14 Distrib 5.5.46,
Browserfirefox
PHP VersionPHP 5.5.9-1ubuntu4.19
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships
child of 0007817new Availables hot-fixes for 1.9.16 & How To get full fixed package from GitHub 

-  Notes
(0026446)
fman (administrator)
2017-06-05 12:21

Configure all emails in right way
(0026490)
fman (administrator)
2017-06-17 17:18

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/16a5dd6757c16cac10db7686494e59cdd22a73e0 [^]
(0026631)
tjosephine (reporter)
2017-07-20 19:28

When reproducing the steps mentioned above, I still get the same error after applying the github changes on lib/plan/tc_exec_assignment.php.
(My SMTP server setting is the same than in 1.9.15)

Running TestLink 1.9.16 + latest fix package from 20170611 on Windows.
PHP version 5.5.9 from xampp.

Did I miss something? Do I need to change my SMTP setting?

- Issue History
Date Modified Username Field Change
2017-06-05 08:52 shavantha New Issue
2017-06-05 12:21 fman Note Added: 0026446
2017-06-05 12:22 fman Assigned To => fman
2017-06-05 12:22 fman Status new => feedback
2017-06-17 17:17 fman QA Team - Task Workflow Status => TBD
2017-06-17 17:17 fman Fixed in Version => 1.9.17 (2017 Q2)
2017-06-17 17:18 fman Note Added: 0026490
2017-06-17 17:18 fman Status feedback => resolved
2017-06-17 17:18 fman Resolution open => fixed
2017-06-17 17:18 fman Relationship added child of 0007817
2017-07-20 19:28 tjosephine Note Added: 0026631



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker